<?php
/**
* Joomla Community Builder User Plugin: plug_cbhelloworld
* @version $Id$
* @package plug_helloworld
* @subpackage helloworld.php
* @author Nant, JoomlaJoe and Beat
* @copyright (C) Nant, JoomlaJoe and Beat, www.joomlapolis.com
* @license Limited  http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @final 1.0
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );


/**
 * Basic tab extender. Any plugin that needs to display a tab in the user profile
 * needs to have such a class. Also, currently, even plugins that do not display tabs (e.g., auto-welcome plugin)
 * need to have such a class if they are to access plugin parameters (see $this->params statement).
 */
class getbadgeTab extends cbTabHandler {
	function getbadgeTab() {
		$this->cbTabHandler();
	}
	function getDisplayTab($tab,$user,$ui) {
		$return = null;
		global $ueConfig;
		$params = $this->params;
		$is_badge_plug_enabled = $params->get('badgePlugEnabled', "1");
		$badge_tab_message = $params->get('badgeTabMessage', "Your slogan one");
		$badge_tab_footer = $params->get('badgeTabFooter', "Your slogan two");
		$badge_tab_title = $params->get('badgeTabTitle', "Wild Poets");
		if ($is_badge_plug_enabled != "0") {
			if($tab->description != null) {
				$return .= "\t\t<div class=\"tab_Description\">"
					. $tab->description	
					. "</div>\n";
			}
	}
		// Display Badge:	
		$return .= "\n<table cellpadding=\"5\" cellspacing=\"5\" border=\"0\" ><tr><td>";
		if ($ueConfig['allowAvatar']=="1") {
			$return .= "\n<div style=\"width:300px; height:155px; border-width: 1px; border-color: #999999; border-style: solid;\">";
			$return .= "\n<div style=\"background-color: #749C1F; text-align: center; padding-bottom: 5px; padding-top: 5px; color: #FAFAFA; font-family: Arial, Helvetica, sans-serif; font-size: 12px;\" >\n" 
				. htmlspecialchars($badge_tab_title)
                                . "&nbsp;~&nbsp;"
                                . $user->name
				. "</div>";
			$return .= "\n<div style=\"float:left; height:80px; width: 150px; padding: 5px; vertical-align: middle;\">";
				$uimage=$user->avatar;	
						if (file_exists("components/com_comprofiler/plugin/language/".$mosConfig_lang."/images"))
						$uimagepath="components/com_comprofiler/plugin/language/".$mosConfig_lang."/images/";
						else $uimagepath="components/com_comprofiler/plugin/language/default_language/images/";
						if($user->avatarapproved==0) $uimage=$uimagepath."pendphoto.jpg";
						elseif($user->avatar=='' || $user->avatar==null) $uimage=$uimagepath."tnnophoto.jpg";
						else $uimage="images/comprofiler/tn".$uimage;
					$return .= "<div align=\"center\"><a href=\"http://wildpoets.com/index.php?option=com_comprofiler&task=userProfile&user=".$user->id."\"><img src=\"".sefRelToAbs($uimage)."\" border=\"1\"/></a></div></div>";
					$return .= "<div style=\"float:right width: 160px; padding: 5px; vertical-align: middle;\">\n";
					$return .= "<div align=\"left\" style=\"padding-left:5px; font-size: 10px;\">\n"
						. htmlspecialchars($badge_tab_message)
						. "<br /><br /><i>"
                                                . htmlspecialchars($badge_tab_footer)
						."</i><br />";
				$return .= "\n</div>";
				$return .= "</div>";
				$return .= "<div align=\"left\" style=\"height:10px; padding-bottom:5px; text-align: center;\">";
				$return .= "</br><a href=\"http://wildpoets.com/index.php?option=com_comprofiler&task=userProfile&user=".$user->id."\">Visit " . $user->name . "</a></div>";			
		$return .= "</div>";
		}
		//Text Area
		$return .= "</td><td>";
		$return .= "<textarea cols=\"50\" rows=\"9\">";
		if ($ueConfig['allowAvatar']=="1") {
			$return .= "\n<div style=\"width:300px; height:155px; border-width: 1px; border-color: #999999; border-style: solid;\">";
			$return .= "\n<div style=\"background-color: #749C1F; text-align: center; padding-bottom: 5px; padding-top: 5px; color: #FAFAFA; font-family: Arial, Helvetica, sans-serif; font-size: 12px;\" >\n" 
				. htmlspecialchars($badge_tab_title)
				. "</div>";
			$return .= "\n<div style=\"float:left; height:80px; width: 90px; padding: 5px; vertical-align: middle;\">";
				$uimage=$user->avatar;	
						if (file_exists("components/com_comprofiler/plugin/language/".$mosConfig_lang."/images"))
						$uimagepath="components/com_comprofiler/plugin/language/".$mosConfig_lang."/images/";
						else $uimagepath="components/com_comprofiler/plugin/language/default_language/images/";
						if($user->avatarapproved==0) $uimage=$uimagepath."pendphoto.jpg";
						elseif($user->avatar=='' || $user->avatar==null) $uimage=$uimagepath."tnnophoto.jpg";
						else $uimage="images/comprofiler/tn".$uimage;
					$return .= "<div align=\"center\"><a href=\"http://wildpoets.com/index.php?option=com_comprofiler&task=userProfile&user=".$user->id."\"><img src=\"".sefRelToAbs($uimage)."\" border=\"1\"/></a></div></div>";
					$return .= "<div style=\"float:right width: 160px; padding: 5px; vertical-align: middle;\">\n";
					$return .= "<div align=\"left\" style=\"padding-left:5px; font-size: 10px;\">\n"
						. htmlspecialchars($badge_tab_message)
						. "<br /><br /><i>"
						. htmlspecialchars($badge_tab_footer)
						."</i><br />";
				$return .= "\n</div>";
				$return .= "</div>";
				$return .= "<div align=\"right\" style=\"height:10px; padding-bottom:5px; text-align: left;\">";
				$return .= "</br><a href=\"http://wildpoets.com/index.php?option=com_comprofiler&task=userProfile&user=".$user->id."\">Visit " . $user->name . "</a></div>";			
		$return .= "</div>";
		}
		$return .= "</textarea></td></tr><tr><td colspan='2'><br /><div align=\"center\">Released by <a href=\"http://www.switchtemplate.com\">SwitchTemplate</a></div></td></tr></table>";
	return $return;
	}
} 
?>